# algorithms.wavelet

## Module: `algorithms.wavelet`

Wavelets

## Functions

nitime.algorithms.wavelet.wfmorlet_fft(f0, sd, sampling_rate, ns=5, nt=None)

  returns a complex morlet wavelet in the frequency domain

  Parameters:

    f0 : center frequency

    > sd : standard deviation of center frequency sampling_rate : samplingrate ns : window length in number of standard deviations nt : window length in number of sample points

nitime.algorithms.wavelet.wlogmorlet(f0, sd, sampling_rate, ns=5, normed='area')

  returns a complex log morlet wavelet in the time domain

  Parameters:

    f0 : center frequency

    > sd : standard deviation of frequency sampling_rate : samplingrate ns : window length in number of standard deviations

nitime.algorithms.wavelet.wlogmorlet_fft(f0, sd, sampling_rate, ns=5, nt=None)

  returns a complex log morlet wavelet in the frequency domain

  Parameters:

    f0 : center frequency

    > sd : standard deviation sampling_rate : samplingrate ns : window length in number of standard deviations nt : window length in number of sample points

nitime.algorithms.wavelet.wmorlet(f0, sd, sampling_rate, ns=5, normed='area')

  returns a complex morlet wavelet in the time domain

  Parameters:

    f0 : center frequency

    > sd : standard deviation of frequency sampling_rate : samplingrate ns : window length in number of standard deviations